gotcha

Author Topic: Extensions in Inkscape installed through flatpack  (Read 46 times)

June 13, 2018, 11:04:12 PM
Read 46 times

apurbapaul0

  • Newbie

  • Offline
  • *

  • 1
I have installed the Inkscape using Flatpack. But then Extension>Render>Latex is not working on it. Actually I can not see the Extension>Render>Latex option at all. I have installed Texlive, ps2edit, etc every thing required for the extension. And the extension is working on the Inkscape installed using apt. Now I am clueless how to solve the problem.

I am using LinuxMint 18.3 and the inkscape version installed through flatpack is 0.92.2.

Thanks in advance.

Regards
Apurba
  • 0.92.2 2405546
  • LinuxMint 18.3

June 14, 2018, 12:05:54 AM
Reply #1

brynn

  • Administrator

  • Offline
  • ******

  • 2,673
  • Gender
    Female

    Female
    • Inkscape Community
Welcome to the forum!

As a Windows user, I can't help with the flatpack question.  But I did want to mention this, a problem with using Latex, after it's installed (a bug):  https://forum.inkscapecommunity.com/index.php?topic=1163.0.  So you might want to try installing TexText (or other similar, if there are any others).

Although I would expect the extension to at least be showing in the menu, after you have the INX and PY files properly in the correct folder.  Even if you don't have all the other dependencies installed, it should be showing in the menu.  Note that the INX and PY files have to be directly in the extensions folder, and not in another folder in the extensions folder.  Also if there are more than one PY file, they all need to be there.

Hopefully a Linux user will be along pretty soon  :)
  • Inkscape version 0.92.3
  • Windows 7 Pro, 64-bit
Inkscape Tutorials (and manuals)                      Inkscape Community Gallery                        Inkscape for Cutting Design                     



"Be ashamed to die until you have won some victory for humanity" - Horace Mann                       

June 15, 2018, 03:45:59 PM
Reply #2

Moini

  • IC Mentor

  • Offline
  • ******

  • 881
    • VektorRascheln
Is there a reason why you want to use flatpak, and not the ppa for Ubuntu? (https://launchpad.net/~inkscape.dev/+archive/ubuntu/stable)